FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 07-15-2008, 03:57 PM
Tony Molloy
 
Default Yun Update problem

Hi,
I've just done a clean install of centos-5.2 x86-64. When I do a update I get
the following errors


================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Updating:
yum noarch 3.2.8-9.el5.centos.2.1 update
582 k
Installing for dependencies:
yum-fastestmirror noarch 1.1.10-9.el5.centos base 13
k

Transaction Summary
================================================== ===========================
Install 1 Package(s)
Update 1 Package(s)
Remove 0 Package(s)

Total download size: 595 k
Downloading Packages:
(1/2): yum-3.2.8-9.el5.ce 100% |=========================| 582 kB 00:00
http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/yum-3.2.8-9.el5.centos.2.1.noarch.rpm:
[Errno -1] Package does not match intended download


I also get similar errors for some selinux rpms.


(34/92): selinux-policy-2 100% |=========================| 381 kB 00:00
http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/selinux-policy-2.4.6-137.1.el5.noarch.rpm:
[Errno -1] Package does not match intended download


(70/92): selinux-policy-t 100% |=========================| 911 kB 00:00
http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno -1] Package does not match intended download

The rpm packages are in my local repo.

Is this just a case of my local upstream mirrors being out of sync or have I
got a bigger problem.


Thanks,

Tony
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-15-2008, 05:34 PM
Kenneth Burgener
 
Default Yun Update problem

On 7/15/2008 9:57 AM, Tony Molloy wrote:
(34/92): selinux-policy-2 100% |=========================| 381 kB 00:00
http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/selinux-policy-2.4.6-137.1.el5.noarch.rpm:
[Errno -1] Package does not match intended download


The rpm packages are in my local repo.

Is this just a case of my local upstream mirrors being out of sync or have I
got a bigger problem.



I have seen this error before. I am not sure if the local cache is
corrupted or my local repository is corrupted/out of sync. To fix this
in the past I usually do a "yum clean all" and try again. If that
doesn't work I delete the problem packages from my local repository, and
do a repository sync.



Kenneth
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-15-2008, 05:47 PM
Tony Molloy
 
Default Yun Update problem

On Tuesday 15 July 2008 18:34:51 Kenneth Burgener wrote:
> On 7/15/2008 9:57 AM, Tony Molloy wrote:
> > (34/92): selinux-policy-2 100% |=========================| 381 kB
> > 00:00
> > http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/selinux-po
> >licy-2.4.6-137.1.el5.noarch.rpm: [Errno -1] Package does not match
> > intended download
> >
> > The rpm packages are in my local repo.
> >
> > Is this just a case of my local upstream mirrors being out of sync or
> > have I got a bigger problem.
>
> I have seen this error before. I am not sure if the local cache is
> corrupted or my local repository is corrupted/out of sync. To fix this
> in the past I usually do a "yum clean all" and try again. If that
> doesn't work I delete the problem packages from my local repository, and
> do a repository sync.
>
>
> Kenneth

Thanks for the reply,

That's exactly what I did but till have the same problem. It may be that the 2
upstream repos that I sync my local repo to are corrupted. This is the first
time I've used the x86_64 repos. When I get a chance I'll try and use a
different repo and see what happens.

Tony
> _______________________________________________
> CentOS mailing list
> CentOS@centos.org
> http://lists.centos.org/mailman/listinfo/centos


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-15-2008, 06:39 PM
Tony Molloy
 
Default Yun Update problem

On Tuesday 15 July 2008 18:47:51 Tony Molloy wrote:
> On Tuesday 15 July 2008 18:34:51 Kenneth Burgener wrote:
> > On 7/15/2008 9:57 AM, Tony Molloy wrote:
> > > (34/92): selinux-policy-2 100% |=========================| 381 kB
> > > 00:00
> > > http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/selinux-
> > >po licy-2.4.6-137.1.el5.noarch.rpm: [Errno -1] Package does not match
> > > intended download
> > >
> > > The rpm packages are in my local repo.
> > >
> > > Is this just a case of my local upstream mirrors being out of sync or
> > > have I got a bigger problem.
> >
> > I have seen this error before. I am not sure if the local cache is
> > corrupted or my local repository is corrupted/out of sync. To fix this
> > in the past I usually do a "yum clean all" and try again. If that
> > doesn't work I delete the problem packages from my local repository, and
> > do a repository sync.
> >
> >
> > Kenneth
>
> Thanks for the reply,
>
> That's exactly what I did but till have the same problem. It may be that
> the 2 upstream repos that I sync my local repo to are corrupted. This is
> the first time I've used the x86_64 repos. When I get a chance I'll try and
> use a different repo and see what happens.
>
> Tony

These are internal machines so I had to set up a proxy to get external access.

Then I removed my local repos and used the "mirrorlist" line in the repos
definitions and the "fastestmirror" plugin and the update went OK. So it must
be a problem with my 2 upstream mirrors. I'll get onto the mirror masters and
try and sort it out with them.

Tony
>
> > _______________________________________________
> > CentOS mailing list
> > CentOS@centos.org
> > http://lists.centos.org/mailman/listinfo/centos
>
> _______________________________________________
> CentOS mailing list
> CentOS@centos.org
> http://lists.centos.org/mailman/listinfo/centos


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-17-2008, 12:45 AM
"Camron W. Fox"
 
Default Yun Update problem

Tony Molloy wrote:

On Tuesday 15 July 2008 18:47:51 Tony Molloy wrote:

On Tuesday 15 July 2008 18:34:51 Kenneth Burgener wrote:

On 7/15/2008 9:57 AM, Tony Molloy wrote:

(34/92): selinux-policy-2 100% |=========================| 381 kB
00:00
http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/selinux-
po licy-2.4.6-137.1.el5.noarch.rpm: [Errno -1] Package does not match
intended download

The rpm packages are in my local repo.

Is this just a case of my local upstream mirrors being out of sync or
have I got a bigger problem.

I have seen this error before. I am not sure if the local cache is
corrupted or my local repository is corrupted/out of sync. To fix this
in the past I usually do a "yum clean all" and try again. If that
doesn't work I delete the problem packages from my local repository, and
do a repository sync.


Kenneth

Thanks for the reply,

That's exactly what I did but till have the same problem. It may be that
the 2 upstream repos that I sync my local repo to are corrupted. This is
the first time I've used the x86_64 repos. When I get a chance I'll try and
use a different repo and see what happens.

Tony


These are internal machines so I had to set up a proxy to get external access.

Then I removed my local repos and used the "mirrorlist" line in the repos
definitions and the "fastestmirror" plugin and the update went OK. So it must
be a problem with my 2 upstream mirrors. I'll get onto the mirror masters and
try and sort it out with them.


Tony

Alle,

FYI, I installed two x86_64 boxes by hand from a freshly downloaded
DVD.iso. The first thing I did was update yum on both machines then ran
a yum update. I have no local or third party repositories, but the error
was the same for the same packages:


(170/189): selinux-policy 100% |=========================| 911 kB
00:01
http://ftp2.riken.jp/Linux/centos/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno -1] Package does not match intended download

Trying other mirror.
http://ftp.iij.ad.jp/pub/linux/centos/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
http://ftp.jaist.ac.jp/pub/Linux/CentOS/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
http://ftp.tcc.edu.tw/Linux/CentOS/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
http://ftp.daum.net/centos/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
http://ftp.hostrino.com/pub/centos/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
http://rsync.atworks.co.jp/centos/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
http://centos.mirror.cdnetworks.com/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
http://ftp.stu.edu.tw/Linux/CentOS/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 9] Requested Range Not Satisfiable

Trying other mirror.
ftp://ftp.oss.eznetsols.org/linux/centos/5.2/updates/x86_64/RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm:
[Errno 4] IOError: [Errno ftp error] Requested Range Not Satisfiable due
to unobtainable file length.

Trying other mirror.
(171/189): openoffice.org 100% |=========================| 8.1 MB
00:13
(172/189): gnutls-1.4.1-3 100% |=========================| 364 kB
00:00
(173/189): kernel-2.6.18- 100% |=========================| 16 MB
00:26
(174/189): libvorbis-deve 100% |=========================| 542 kB
00:01
(175/189): openoffice.org 100% |=========================| 15 MB
00:24
(176/189): openoffice.org 100% |=========================| 15 MB
00:24
(177/189): openoffice.org 100% |=========================| 583 kB
00:01
(178/189): openoffice.org 100% |=========================| 737 kB
00:01
(179/189): scim-bridge-gt 100% |=========================| 37 kB
00:00
(180/189): openldap-clien 100% |=========================| 186 kB
00:00
(181/189): ipsec-tools-0. 100% |=========================| 363 kB
00:00
(182/189): cups-1.2.4-11. 100% |=========================| 2.7 MB
00:06
(183/189): openoffice.org 100% |=========================| 748 kB
00:01
(184/189): openldap-serve 100% |=========================| 2.2 MB
00:05
(185/189): openoffice.org 100% |=========================| 15 MB
00:24
(186/189): openoffice.org 100% |=========================| 191 kB
00:00
(187/189): ruby-1.8.5-5.e 100% |=========================| 279 kB
00:00
(188/189): Deployment_Gui 100% |=========================| 3.3 MB
00:05
(189/189): openldap-2.3.2 100% |=========================| 294 kB
00:00



Error Downloading Packages:
selinux-policy - 2.4.6-137.1.el5.noarch: failure:
RPMS/selinux-policy-2.4.6-137.1.el5.noarch.rpm from updates: [Errno 256]
No more mirrors to try.
selinux-policy-targeted - 2.4.6-137.1.el5.noarch: failure:
RPMS/selinux-policy-targeted-2.4.6-137.1.el5.noarch.rpm from updates:
[Errno 256] No more mirrors to try.


[root@kea ~]#

Best Regards,
Camron

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-17-2008, 08:09 AM
Tony Molloy
 
Default Yun Update problem

On Thursday 17 July 2008 01:45:50 Camron W. Fox wrote:
> Tony Molloy wrote:
> > On Tuesday 15 July 2008 18:47:51 Tony Molloy wrote:
> >> On Tuesday 15 July 2008 18:34:51 Kenneth Burgener wrote:
> >>> On 7/15/2008 9:57 AM, Tony Molloy wrote:
> >>>> (34/92): selinux-policy-2 100% |=========================| 381 kB
> >>>> 00:00
> >>>> http://thomond.csis.ul.ie/mirrors/centos/5/updates/x86_64/RPMS/selinux
> >>>>- po licy-2.4.6-137.1.el5.noarch.rpm: [Errno -1] Package does not match
> >>>> intended download
> >>>>
> >>>> The rpm packages are in my local repo.
> >>>>
> >>>> Is this just a case of my local upstream mirrors being out of sync or
> >>>> have I got a bigger problem.
> >>>
> >>> I have seen this error before. I am not sure if the local cache is
> >>> corrupted or my local repository is corrupted/out of sync. To fix this
> >>> in the past I usually do a "yum clean all" and try again. If that
> >>> doesn't work I delete the problem packages from my local repository,
> >>> and do a repository sync.
> >>>
> >>>
> >>> Kenneth
> >>
> >> Thanks for the reply,
> >>
> >> That's exactly what I did but till have the same problem. It may be that
> >> the 2 upstream repos that I sync my local repo to are corrupted. This is
> >> the first time I've used the x86_64 repos. When I get a chance I'll try
> >> and use a different repo and see what happens.
> >>
> >> Tony
> >
> > These are internal machines so I had to set up a proxy to get external
> > access.
> >
> > Then I removed my local repos and used the "mirrorlist" line in the
> > repos definitions and the "fastestmirror" plugin and the update went OK.
> > So it must be a problem with my 2 upstream mirrors. I'll get onto the
> > mirror masters and try and sort it out with them.
> >
> > Tony
>
> Alle,
>
> FYI, I installed two x86_64 boxes by hand from a freshly downloaded
> DVD.iso. The first thing I did was update yum on both machines then ran
> a yum update. I have no local or third party repositories, but the error
> was the same for the same packages:
>
> (170/189): selinux-policy 100% |=========================| 911 kB
> 00:01
> http://ftp2.riken.jp/Linux/centos/5.2/updates/x86_64/RPMS/selinux-policy-ta
>rgeted-2.4.6-137.1.el5.noarch.rpm: [Errno -1] Package does not match
> intended download

< lots snipped >

So it would appear that lots of download sites have the wrong rpms then.

I got the good rpms from the following repos

* fasttrack: ftp.tudelft.nl
* update: ftp.quicknet.nl <<<<<<<<<<<<<<<<<<<
* base: ftp.quicknet.nl
* extras: anorien.csc.warwick.ac.uk
* addons: anorien.csc.warwick.ac.uk


Tony



_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 07:29 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org